Subject: bug#22014: 24.4; RFC 5322 Disallows Multiple 'To' Fields in Mail Headers

From: "Barak A. Pearlmutter" <[email-masked]>
Date: Thu, 26 Nov 2015 19:31:57 +0000

> What year did they do that?  I suspect they changed the spec subsequently
> to our implementing it.

RFC 822 dated Aug 1982 is silent on the issue. It does use grammatical
constructs that seem inappropriate if there are multiple instances:

>     4.5.1. TO / RESENT-TO
>
>        This field contains the identity of the primary recipients  of
>        the message.

The formal grammar given does allow multiple 'To's, but also allows
all sorts of crazy things, some of which are disallowed in the text. I
think a fair reading is that the authors did not entertain this
possibility.

RFC 2822 dated April 2001 says maximum of one each of 'To', 'Cc', 'Bcc'.

RFC 5322 dated Oct 2008, mentioned above, copies the table of interest
from RFC 2822.

--Barak.